﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.EcoSystemPresenceDbViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}
<style>
    .ecosystem-presence-scroll {
        max-height: 26rem;
        overflow: auto;
        display: block;
        width: 100%;
    }
    }
</style>
<h2>Index</h2>
@using (Html.BeginForm("Index", "EcoSystemPresence", FormMethod.Post, new { id = "EcoSystemPresence", name = "EcoSystemPresence", @class = "" }))
{
<div id="content" class="content">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                </div>
            </div>
        </div>
    </div>
    @if (ViewBag.Message != null)
    {
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    @Html.HiddenFor(Model => Model.CompanyId)
    @Html.HiddenFor(Model => Model.ProjectId)
    <div class="section-with-top-border p-b-10 p-t-20">
        <!-- begin row -->
        <div class="row">
            <div class="col-md-4">
                <table id="tblTrends" class="table table-fixed table-bordered table-hover bg-white">
                    <thead>
                        <tr class="inverse">
                            <th class="text-center">
                                ESM Presence<span class="text-danger"></span>
                            </th>
                            <th class="text-center">
                                <span class="text-danger"></span>
                            </th>
                        </tr>
                    </thead>
                    <tbody class="ecosystem-presence-scroll">

                        @for (int k = 0; k < Model.EcoSystemPresences.Count; k++)
                        {
                            <tr>
                                <td class="text-center">
                                    @Html.HiddenFor(Model => Model.EcoSystemPresences[k].Id)
                                    @Html.HiddenFor(Model => Model.EcoSystemPresences[k].EcoSystemId)
                                    @Html.HiddenFor(Model => Model.EcoSystemPresences[k].EcoSystemName)
                                    <label class="col-form-label">@Model.EcoSystemPresences[k].EcoSystemName</label>
                                </td>
                                <td class="text-center">
                                    @Html.CheckBoxFor(Model => Model.EcoSystemPresences[k].Ischecked)
                                </td>
                            </tr>
                        }
                    </tbody>

                </table>
            </div>


            <div class="table-responsive col-md-4">
                <table id="tblTrends1" class="table table-bordered table-hover bg-white">
                    <thead>
                        <tr class="inverse">
                            <th class="text-center">
                                Sector Presence<span class="text-danger"></span>
                            </th>
                            <th class="text-center">
                                <span class="text-danger"></span>
                            </th>
                        </tr>
                    </thead>
                    <tbody class="ecosystem-presence-scroll">
                        @for (int k = 0; k < Model.SectorPresences.Count; k++)
                        {
                            <tr>
                                <td class="text-center">
                                    @Html.HiddenFor(Model => Model.SectorPresences[k].Id)
                                    @Html.HiddenFor(Model => Model.SectorPresences[k].IndustryId)
                                    @Html.HiddenFor(Model => Model.SectorPresences[k].IndustryName)
                                    <label class="col-form-label">@Model.SectorPresences[k].IndustryName</label>
                                </td>
                                <td class="text-center">
                                    @Html.CheckBoxFor(Model => Model.SectorPresences[k].Ischecked)
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>


            <div class="table-responsive col-md-4">
                <table id="tblTrends2" class="table table-bordered table-hover bg-white">
                    <thead>
                        <tr class="inverse">
                            <th class="text-center">
                                Key Competiters<span class="text-danger"></span>
                            </th>
                        </tr>
                    </thead>
                    <tbody class="ecosystem-presence-scroll">
                        @for (int k = 0; k < Model.KeyCompetiters.Count; k++)
                        {
                            <tr>
                                <td class="text-center">
                                    @Html.HiddenFor(Model => Model.KeyCompetiters[k].Id)
                                    @Html.TextBoxFor(Model => Model.KeyCompetiters[k].KeyCompetiters, new { @class = "form-control " })
                                </td>
                            </tr>
                        }
                        <tr>
                            <td class="text-right">
                                <button type="submit" name="actionName" value="AddRow" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <!-- end row -->
        </div>
    </div>
    <div class="section-with-top-border p-b-5">
        <div class="row">
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteModel.AuthorRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>

                </div>
            </div>
            <!-- end col-6 -->
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Approver Notes</h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteModel.ApproverRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
    <!-- end section-container -->
    @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
</div>
}

